package org.jeecg.modules.sampleAndConsumableManagement.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.projectManagement.entity.FdContract;
import org.jeecg.modules.sampleAndConsumableManagement.entity.FdBlankSubstrate;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 空白基质管理
 * @author： jeecg-boot
 * @date： 2019-06-10
 * @version： V1.0
 */
public interface IFdBlankSubstrateService extends IService<FdBlankSubstrate> {
    void addAll(FdBlankSubstrate fdBlankSubstrate);

    FdBlankSubstrate queryBlankSubstrateByConId(String pkProjectFile);

    boolean deleteAll(String id);

    IPage<FdBlankSubstrate> findByPage(Page<FdBlankSubstrate> page, QueryWrapper<FdBlankSubstrate> queryWrapper);

    List<FdContract> getFileContractList();
}
